> ## Documentation Index
> Fetch the complete documentation index at: https://developers.partoo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Subscribe a business

> <b>⚠️ This endpoint is deprecated. Please use the new endpoint [`/business/{business_id}/plans`](/api-reference/subscriptions/update-businesss-plans) instead. ⚠️</b>

This endpoint lets you subscribe a business to one or several Partoo products.

You need to have `WRITE` access on the business you want to subscribe.

You need to have `PROVIDER` to be able to perform this action.




## OpenAPI

````yaml /assets/openapi/openapi-bundled.yaml post /business/{business_id}/subscribe
openapi: 3.1.0
info:
  title: Partoo Rest API
  version: v2
  license:
    name: © Copyright Partoo
    url: https://www.partoo.co/en/gtu-api/
  x-logo:
    url: >-
      https://partoo-client-images.s3.amazonaws.com/logo-partoo-restapi-white.png
  description: >
    ## Introduction

    The Partoo Rest API allows you to automate all the actions that are possible
    to do in the Partoo Web Application.


    The Partoo Rest API can be used for many different purposes:
      - Create/update/delete your businesses & users if you are a client.
      - Create/subscribe/manage organizations, businesses & users if you are a reseller.
      - Retrieve data on businesses you have access to if you are a publisher.
      - ...
servers:
  - url: https://api.partoo.co/v2
    description: Production server
  - url: https://api.sandbox.partoo.co/v2
    description: Sandbox server (dev environment for clients & partners)
security:
  - ApiKeyAuth: []
paths:
  /business/{business_id}/subscribe:
    post:
      tags:
        - Businesses
        - Subscriptions
      summary: Subscribe a business
      description: >
        <b>⚠️ This endpoint is deprecated. Please use the new endpoint
        [`/business/{business_id}/plans`](/api-reference/subscriptions/update-businesss-plans)
        instead. ⚠️</b>


        This endpoint lets you subscribe a business to one or several Partoo
        products.


        You need to have `WRITE` access on the business you want to subscribe.


        You need to have `PROVIDER` to be able to perform this action.
      operationId: subscribeBusiness
      parameters:
        - $ref: '#/components/parameters/business_id'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                subscription_date:
                  type: number
                  description: >-
                    Timestamp representing the date on which the subscription
                    will start
                  example: 1540628702
                products:
                  type: array
                  description: List of products
                  items:
                    $ref: '#/components/schemas/Product'
                plan:
                  type: string
                  description: Any string that define your offer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  presence_management:
                    oneOf:
                      - $ref: '#/components/schemas/ProductSubscribeResponseObject'
                      - $ref: '#/components/schemas/ProductUnsubscribeResponseObject'
                  review_management:
                    oneOf:
                      - $ref: '#/components/schemas/ProductSubscribeResponseObject'
                      - $ref: '#/components/schemas/ProductUnsubscribeResponseObject'
                  review_booster:
                    oneOf:
                      - $ref: '#/components/schemas/ProductSubscribeResponseObject'
                      - $ref: '#/components/schemas/ProductUnsubscribeResponseObject'
                  messages:
                    oneOf:
                      - $ref: '#/components/schemas/ProductSubscribeResponseObject'
                      - $ref: '#/components/schemas/ProductUnsubscribeResponseObject'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
      deprecated: true
components:
  parameters:
    business_id:
      in: path
      name: business_id
      required: true
      schema:
        type: string
      description: >
        Business id.      


        It may be replaced by `c-{code}` where code is the store code, which
        should be unique per organization. This can be used only for
        `ORG_ADMIN`, `GROUP_MANAGER` and `BUSINESS_MANAGER` users.
  schemas:
    Product:
      type: string
      enum:
        - presence_management
        - review_booster
        - review_management
        - messages
      example: presence_management
    ProductSubscribeResponseObject:
      type: object
      properties:
        subscription_date:
          type: integer
          description: Date on which the subscription was activated
          example: 1540628702
        status:
          type: string
          enum:
            - active
    ProductUnsubscribeResponseObject:
      type: object
      properties:
        canceling_date:
          type: integer
          description: Date on which the subscription was canceled
          example: 1540628702
        status:
          type: string
          enum:
            - inactive
  responses:
    '400':
      description: Your request is incorrect
      content:
        application/json:
          schema:
            description: |
              Error that occcurs when your request is incorrect
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  json:
                    type: object
    '401':
      description: You are not authenticated
      content:
        application/json:
          schema:
            description: Error that occurs when you are not authenticated
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authentication:
                    type: string
                    default: User not authenticated
    '403':
      description: |
        You are not allowed to perform this action
      content:
        application/json:
          schema:
            description: >
              Error that occurs when you are authenticated but you are trying to
              perform an action you are not allowed to perform
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authorization:
                    type: string
                    default: Operation not allowed
    '404':
      description: Resource does not exist
      content:
        application/json:
          schema:
            description: >-
              Error that occcurs when you are trying to reach a resource that
              does not exist
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  json:
                    type: string
                    default: Resource not found
  securitySchemes:
    ApiKeyAuth:
      description: >
        The authentication system on Partoo API is using API Key that should be
        put in the header of the request (the name of the header is `x-APIKey`).
        An api_key is linked to a user. This user's role will give you different
        access level to the API features.
      type: apiKey
      in: header
      name: x-APIKey

````